API Referenceapipatient-graphPUT /v1/adherence/sharps/me

PUT /v1/adherence/sharps/me

Service: patient-graph · operationId: (none)

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {
    "peptide_id": {
      "type": "string",
      "minLength": 1
    },
    "enabled": {
      "type": "boolean"
    }
  },
  "required": [
    "peptide_id",
    "enabled"
  ]
}

Responses

200 Sharps reminder updated

{
  "type": "object",
  "properties": {
    "peptide_id": {
      "type": "string"
    },
    "sharps_reminder_enabled": {
      "type": "boolean"
    }
  },
  "required": [
    "peptide_id",
    "sharps_reminder_enabled"
  ]
}

401 Unauthorized

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

404 Patient not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X PUT https://patient-graph.platform.loop.health/v1/adherence/sharps/me \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'